in vec2 uv;
in vec2 uvn;

out vec3 C;

uniform int input_tex;

void main() {
    vec2 image_res = vec2(textureSize(textures[input_tex], 0).xy);
    vec2 u = gl_FragCoord.xy/vec2(image_res);
    
    vec4 sobel = texture(textures[input_tex], u);
    sobel *= 1.0;
    C.x = sobel.x * sobel.x;
    C.y = sobel.y * sobel.y;
    C.z = sobel.x * sobel.y;
//    C.z = abs(C.z);
    C *= 1;
//    C = abs(C);
}

